const path = require('path');
function resolve (dir) {
    return path.join(__dirname, dir)
}

module.exports = {
    // 选项...
    publicPath:"./",
    // 输出文件目录
	outputDir: process.env.OUT_PUT_DIR,
    // eslint-loader 是否在保存的时候检查
    lintOnSave: true,
    devServer:{
        host: '0.0.0.0',
        port: 8083
    },
    chainWebpack: (config)=>{
        config.resolve.alias
            .set('@', resolve('src'))
    },
    // webpack配置 - 简单配置方式
    configureWebpack: {
        resolve: {
            alias: {
                // 别名
                vue$: "vue/dist/vue.esm.js"
            }
        }
    }
  }